

lection_is_over = false


function lection_hall_zone001_enter_callback()
--game_api.start_dialogue("")
--Start cutscene
  if (lection_is_over == false) then
  game_api.start_cutscene("test_cutscene_01")
  end
end

game_api.set_trigger_zone_callbacks("lection_hall_zone001",
    lection_hall_zone001_enter_callback,
    nil
)

function knife_dialog_zone001_enter_callback()
	print("knife_dialog_zone001_enter_callback--!")
	if lection_is_over then
    game_api.start_dialogue("knife_dialog001")
	game_api.switch_navigation(0)
	end
end

function knife_dialog_zone001_exit_callback()
    print("knife_dialog_zone001_exit_callback--!")
	game_api.switch_navigation(0)
end

game_api.set_trigger_zone_callbacks("knife_dialog_zone001",
    knife_dialog_zone001_enter_callback,
    knife_dialog_zone001_exit_callback
)


function on_npc_interact(npc_index)
    print("[Lua] NPC interaction! Index: " .. tostring(npc_index))
	if npc_index == 1 then
		game_api.start_dialogue("knife_dialog001")
	end
end

game_api.set_cutscene_callback("test_cutscene_01", function()
    print("Cutscene done!")
    lection_is_over = true
    game_api.set_npc_enabled(1, true)
end)

print("Lua script loaded successfully!")